* [gentoo-commits] repo/gentoo:master commit in: dev-python/pytest-xdist/, dev-python/pytest-xdist/files/
@ 2019-06-02 13:31 Virgil Dupras
0 siblings, 0 replies; 6+ messages in thread
From: Virgil Dupras @ 2019-06-02 13:31 UTC (permalink / raw
To: gentoo-commits
commit: a8c2fb9df70121e653cde6d9d7a14789a54edc1f
Author: Virgil Dupras <vdupras <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 2 13:30:59 2019 +0000
Commit: Virgil Dupras <vdupras <AT> gentoo <DOT> org>
CommitDate: Sun Jun 2 13:30:59 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a8c2fb9d
dev-python/pytest-xdist: bump to 1.28.0
Had to drop keywords because of new dev-python/filelock dep.
Signed-off-by: Virgil Dupras <vdupras <AT> gentoo.org>
Package-Manager: Portage-2.3.66, Repoman-2.3.11
dev-python/pytest-xdist/Manifest | 1 +
.../pytest-xdist-1.28.0-strip-setuptools-scm.patch | 27 +++++++++++++++
dev-python/pytest-xdist/pytest-xdist-1.28.0.ebuild | 38 ++++++++++++++++++++++
3 files changed, 66 insertions(+)
diff --git a/dev-python/pytest-xdist/Manifest b/dev-python/pytest-xdist/Manifest
index b0ea341f170..ba920c0df35 100644
--- a/dev-python/pytest-xdist/Manifest
+++ b/dev-python/pytest-xdist/Manifest
@@ -1 +1,2 @@
DIST pytest-xdist-1.23.2.tar.gz 59932 BLAKE2B f2cf73914cf095217fb8b472f5e5f7918435c75f8da1694cc7ceb920ac3a7390d84bea93cca558ba26cf3d14a01815374eab9ea03a137a8a9f5dba2f2d4453a8 SHA512 4aae9a6d74e53a29630d0233d0a903d008023e322de726ef7ab7cf4865f428942f96cc65264e19726cb6213264edaa747da2cb6f368989417ba821f2a3f9b654
+DIST pytest-xdist-1.28.0.tar.gz 61486 BLAKE2B ef8157079ea890342cd566f327588148fa898a3404e3edcffb60ba8ba37d9473b4c2a47fc737f7bb074042c6aadd737ac51f348ce79a718eb446036016cd5e23 SHA512 89b8885103a944ae72535de40028db052f76631ade6f969489d3dc3a1a61a3233df6655d0905d9f5253f23740a15aea824b460c680e79c16f275b31cb2abd6ad
diff --git a/dev-python/pytest-xdist/files/pytest-xdist-1.28.0-strip-setuptools-scm.patch b/dev-python/pytest-xdist/files/pytest-xdist-1.28.0-strip-setuptools-scm.patch
new file mode 100644
index 00000000000..8ef0272d2b5
--- /dev/null
+++ b/dev-python/pytest-xdist/files/pytest-xdist-1.28.0-strip-setuptools-scm.patch
@@ -0,0 +1,27 @@
+diff --git a/setup.py b/setup.py
+index 17abe9a..81422db 100644
+--- a/setup.py
++++ b/setup.py
+@@ -6,9 +6,13 @@ install_requires = ["execnet>=1.1", "pytest>=4.4.0", "pytest-forked", "six"]
+ with open("README.rst") as f:
+ long_description = f.read()
+
++import os
++with open("xdist/_version.py", 'wt') as fp:
++ fp.write('version = "{}"'.format(os.environ['PV']))
++
+ setup(
+ name="pytest-xdist",
+- use_scm_version={"write_to": "xdist/_version.py"},
++ version=os.environ['PV'],
+ description="pytest xdist plugin for distributed testing"
+ " and loop-on-failing modes",
+ long_description=long_description,
+@@ -24,7 +28,6 @@ setup(
+ zip_safe=False,
+ python_requires=">=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*",
+ install_requires=install_requires,
+- setup_requires=["setuptools_scm"],
+ classifiers=[
+ "Development Status :: 5 - Production/Stable",
+ "Framework :: Pytest",
diff --git a/dev-python/pytest-xdist/pytest-xdist-1.28.0.ebuild b/dev-python/pytest-xdist/pytest-xdist-1.28.0.ebuild
new file mode 100644
index 00000000000..9564d797693
--- /dev/null
+++ b/dev-python/pytest-xdist/pytest-xdist-1.28.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} pypy{,3} )
+
+inherit distutils-r1
+
+DESCRIPTION="Distributed testing and loop-on-failing modes"
+HOMEPAGE="https://pypi.org/project/pytest-xdist/ https://github.com/pytest-dev/pytest-xdist"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~amd64 ~sparc ~x86"
+IUSE="test"
+
+RDEPEND="
+ dev-python/execnet[${PYTHON_USEDEP}]
+ >=dev-python/pytest-4.4[${PYTHON_USEDEP}]
+ dev-python/pytest-forked[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/filelock[${PYTHON_USEDEP}] )
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-1.28.0-strip-setuptools-scm.patch"
+)
+
+python_test() {
+ distutils_install_for_testing
+ pytest -vv testing || die "Tests failed under ${EPYTHON}"
+}
^ permalink raw reply related [flat|nested] 6+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/pytest-xdist/, dev-python/pytest-xdist/files/
@ 2020-05-03 10:24 Michał Górny
0 siblings, 0 replies; 6+ messages in thread
From: Michał Górny @ 2020-05-03 10:24 UTC (permalink / raw
To: gentoo-commits
commit: 99e617111d03109a0b78274807dfc070ffcc6eef
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun May 3 06:39:13 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun May 3 10:24:07 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=99e61711
dev-python/pytest-xdist: Bump to 1.32.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pytest-xdist/Manifest | 1 +
.../files/pytest-xdist-1.32.0-timeout.patch | 50 ++++++++++++++++++++++
dev-python/pytest-xdist/pytest-xdist-1.32.0.ebuild | 43 +++++++++++++++++++
3 files changed, 94 insertions(+)
diff --git a/dev-python/pytest-xdist/Manifest b/dev-python/pytest-xdist/Manifest
index 98896ef5ab8..1b1e4f01f85 100644
--- a/dev-python/pytest-xdist/Manifest
+++ b/dev-python/pytest-xdist/Manifest
@@ -2,3 +2,4 @@ DIST pytest-xdist-1.23.2.tar.gz 59932 BLAKE2B f2cf73914cf095217fb8b472f5e5f79184
DIST pytest-xdist-1.28.0.tar.gz 61486 BLAKE2B ef8157079ea890342cd566f327588148fa898a3404e3edcffb60ba8ba37d9473b4c2a47fc737f7bb074042c6aadd737ac51f348ce79a718eb446036016cd5e23 SHA512 89b8885103a944ae72535de40028db052f76631ade6f969489d3dc3a1a61a3233df6655d0905d9f5253f23740a15aea824b460c680e79c16f275b31cb2abd6ad
DIST pytest-xdist-1.30.0.tar.gz 62286 BLAKE2B 8d6a79c123bcee81751f2dd3a87e1d8effc82ff48a701c8cf0014292e5df575136d25847794c8e9fc94eb88a37cb42c659a142212faf30b0d1a0b1f9f948d2d6 SHA512 978b67df2366d916db62af21f2c610ac5d2de43cecf3260ec9bf52f904098514c3052ce8ca2195c17addd4012f3c5d38ce8a701d26c8158142a821b0d0cf9122
DIST pytest-xdist-1.31.0.tar.gz 66133 BLAKE2B 79fe5f3bcad3421c1c751ffe6e09f0da42d4ff7c0016cb421ffabcab167028ec41ccfb02bbb275564cd74b13ade8d6e79bbb70b34995f3bc9000604a1533df9a SHA512 b7960d20295232b251c8ddcc5a3b9d6e7b761d577ba11c2647b4b4b410ee5c05998cf57fa57208561eb3ea7c4914db1fd446173794589d8c8e8e79ff8e0ad3aa
+DIST pytest-xdist-1.32.0.tar.gz 67733 BLAKE2B da0ce4e43dc8752e4329ddcbc13a5f55f5bc120c13f39bb01916770d2dc1864197fd91f92bc55ba27cd74b0d837ac2d310980874cdf54761339b2cd654dd6e74 SHA512 f159b4653efb4afeff4124df484670d3c672e1014712f948390b25efc53096f8237258c83a5f1a9e688c52b4a756291cb731d37fdfa800707f556550a19cb0e8
diff --git a/dev-python/pytest-xdist/files/pytest-xdist-1.32.0-timeout.patch b/dev-python/pytest-xdist/files/pytest-xdist-1.32.0-timeout.patch
new file mode 100644
index 00000000000..52fdc681dfb
--- /dev/null
+++ b/dev-python/pytest-xdist/files/pytest-xdist-1.32.0-timeout.patch
@@ -0,0 +1,50 @@
+From 27519e8018ee199219ab223e0b31b76b4e950a2a Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
+Date: Sun, 3 May 2020 11:23:33 +0200
+Subject: [PATCH] Increase pexpect timeouts to prevent tests from failing
+
+---
+ testing/acceptance_test.py | 2 +-
+ testing/test_looponfail.py | 6 ++++--
+ 2 files changed, 5 insertions(+), 3 deletions(-)
+
+diff --git a/testing/acceptance_test.py b/testing/acceptance_test.py
+index b6a4a94..a089baa 100644
+--- a/testing/acceptance_test.py
++++ b/testing/acceptance_test.py
+@@ -332,7 +332,7 @@ class TestDistribution:
+ time.sleep(10)
+ """
+ )
+- child = testdir.spawn_pytest("-n1 -v")
++ child = testdir.spawn_pytest("-n1 -v", expect_timeout=30.0)
+ child.expect(".*test_sleep.*")
+ child.kill(2) # keyboard interrupt
+ child.expect(".*KeyboardInterrupt.*")
+diff --git a/testing/test_looponfail.py b/testing/test_looponfail.py
+index 94fccd7..a6ebebe 100644
+--- a/testing/test_looponfail.py
++++ b/testing/test_looponfail.py
+@@ -284,7 +284,8 @@ class TestFunctional:
+ )
+ # p = testdir.mkdir("sub").join(p1.basename)
+ # p1.move(p)
+- child = testdir.spawn_pytest("-f %s --traceconfig" % p)
++ child = testdir.spawn_pytest("-f %s --traceconfig" % p,
++ expect_timeout=30.0)
+ child.expect("def test_one")
+ child.expect("x == 1")
+ child.expect("1 failed")
+@@ -311,7 +312,8 @@ class TestFunctional:
+ pass
+ """
+ )
+- child = testdir.spawn_pytest("-f %s" % p)
++ child = testdir.spawn_pytest("-f %s" % p,
++ expect_timeout=30.0)
+ child.expect("1 xpass")
+ # child.expect("### LOOPONFAILING ####")
+ child.expect("waiting for changes")
+--
+2.26.2
+
diff --git a/dev-python/pytest-xdist/pytest-xdist-1.32.0.ebuild b/dev-python/pytest-xdist/pytest-xdist-1.32.0.ebuild
new file mode 100644
index 00000000000..4d03af9b28d
--- /dev/null
+++ b/dev-python/pytest-xdist/pytest-xdist-1.32.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python2_7 python3_{6,7,8} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Distributed testing and loop-on-failing modes"
+HOMEPAGE="https://pypi.org/project/pytest-xdist/ https://github.com/pytest-dev/pytest-xdist"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/execnet[${PYTHON_USEDEP}]
+ >=dev-python/pytest-4.4[${PYTHON_USEDEP}]
+ dev-python/pytest-forked[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ dev-python/filelock[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}"/pytest-xdist-1.32.0-timeout.patch
+)
+
+python_test() {
+ distutils_install_for_testing
+ pytest -vv testing || die "Tests failed under ${EPYTHON}"
+}
^ permalink raw reply related [flat|nested] 6+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/pytest-xdist/, dev-python/pytest-xdist/files/
@ 2020-07-31 20:11 Michał Górny
0 siblings, 0 replies; 6+ messages in thread
From: Michał Górny @ 2020-07-31 20:11 UTC (permalink / raw
To: gentoo-commits
commit: b2b464f161aeadbe49288335c1b9057f31972edd
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 31 18:25:41 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jul 31 20:11:55 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b2b464f1
dev-python/pytest-xdist: Bump to 1.34.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pytest-xdist/Manifest | 1 +
.../files/pytest-xdist-1.34.0-pytest4.patch | 50 ++++++++++++++++++++++
dev-python/pytest-xdist/pytest-xdist-1.34.0.ebuild | 44 +++++++++++++++++++
3 files changed, 95 insertions(+)
diff --git a/dev-python/pytest-xdist/Manifest b/dev-python/pytest-xdist/Manifest
index 5ce83b0cf45..76387d4b5ce 100644
--- a/dev-python/pytest-xdist/Manifest
+++ b/dev-python/pytest-xdist/Manifest
@@ -3,3 +3,4 @@ DIST pytest-xdist-1.28.0.tar.gz 61486 BLAKE2B ef8157079ea890342cd566f327588148fa
DIST pytest-xdist-1.31.0.tar.gz 66133 BLAKE2B 79fe5f3bcad3421c1c751ffe6e09f0da42d4ff7c0016cb421ffabcab167028ec41ccfb02bbb275564cd74b13ade8d6e79bbb70b34995f3bc9000604a1533df9a SHA512 b7960d20295232b251c8ddcc5a3b9d6e7b761d577ba11c2647b4b4b410ee5c05998cf57fa57208561eb3ea7c4914db1fd446173794589d8c8e8e79ff8e0ad3aa
DIST pytest-xdist-1.32.0.tar.gz 67733 BLAKE2B da0ce4e43dc8752e4329ddcbc13a5f55f5bc120c13f39bb01916770d2dc1864197fd91f92bc55ba27cd74b0d837ac2d310980874cdf54761339b2cd654dd6e74 SHA512 f159b4653efb4afeff4124df484670d3c672e1014712f948390b25efc53096f8237258c83a5f1a9e688c52b4a756291cb731d37fdfa800707f556550a19cb0e8
DIST pytest-xdist-1.33.0.tar.gz 65588 BLAKE2B 096ffa9295ec0ef4d390b714b02a4d126aa33475b55591b91375f2da0c957802e007b990dc2051d5198f223b250a4a7294367c9da8f8969313a61a7e8ef18ebd SHA512 5e5b23e60b546779d4bbcc9b86c004bdb084689ba006c8bb8a7db9be60b6080f04a5bb2b1f5b43a5062b82e35493331d1da699d8a36177307280b06aa23a1367
+DIST pytest-xdist-1.34.0.tar.gz 66151 BLAKE2B ac5274e32b3ef6b72113efd4300eb6946a977e0e202d3383abcdbc022126b7806edb326ddc16abb1219e22eb091e06a9c39fce3031aaf5943d4ad653a47af142 SHA512 69e9877ee0268d71d7c0ca202ccc46b3ba1a9271f0e6e4ac4b76602833f9b7012364eb6924ae994e76c1d48d63adf1702d4c5e6ed5b75c52ac7ebae958210e24
diff --git a/dev-python/pytest-xdist/files/pytest-xdist-1.34.0-pytest4.patch b/dev-python/pytest-xdist/files/pytest-xdist-1.34.0-pytest4.patch
new file mode 100644
index 00000000000..8595480c01f
--- /dev/null
+++ b/dev-python/pytest-xdist/files/pytest-xdist-1.34.0-pytest4.patch
@@ -0,0 +1,50 @@
+From bd4e91d12bf6e20538d9b3acfe69536b3badcde5 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
+Date: Fri, 31 Jul 2020 20:13:24 +0200
+Subject: [PATCH 1/3] Fix test_config_initialization condition for pytest<5
+
+Fix test_config_initialization to be correctly skipped on pytest<5,
+by explicitly checking pytest version (idea copied from
+test_looponfail_removed_test). The current conditions are insufficient
+-- the outer check wrongly assumes pytest>=5 will always be used
+on Python 3 (which is not true if you need the same version to support
+both Python 2 and Python 3), and the inner condition apparently
+wrongly assuming that invocation_params attribute is not present
+in pytest-4.
+---
+ testing/acceptance_test.py | 9 +++------
+ 1 file changed, 3 insertions(+), 6 deletions(-)
+
+diff --git a/testing/acceptance_test.py b/testing/acceptance_test.py
+index 7f9a551..29c5d9a 100644
+--- a/testing/acceptance_test.py
++++ b/testing/acceptance_test.py
+@@ -2,6 +2,7 @@ import os
+ import re
+ import sys
+ import textwrap
++from pkg_resources import parse_version
+
+ import py
+ import pytest
+@@ -594,15 +595,11 @@ def test_fixture_teardown_failure(testdir):
+
+
+ @pytest.mark.skipif(
+- sys.version_info[:2] == (2, 7),
+- reason="Only available in pytest 5.0+ (Python 3 only)",
++ parse_version(pytest.__version__) < parse_version("5"),
++ reason="Only available in pytest 5.0+",
+ )
+ def test_config_initialization(testdir, monkeypatch, pytestconfig):
+ """Ensure workers and master are initialized consistently. Integration test for #445"""
+- if not hasattr(pytestconfig, "invocation_params"):
+- pytest.skip(
+- "requires pytest >=5.1 (config has no attribute 'invocation_params')"
+- )
+ testdir.makepyfile(
+ **{
+ "dir_a/test_foo.py": """
+--
+2.28.0
+
diff --git a/dev-python/pytest-xdist/pytest-xdist-1.34.0.ebuild b/dev-python/pytest-xdist/pytest-xdist-1.34.0.ebuild
new file mode 100644
index 00000000000..2cc790bff70
--- /dev/null
+++ b/dev-python/pytest-xdist/pytest-xdist-1.34.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python2_7 python3_{6,7,8,9} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Distributed testing and loop-on-failing modes"
+HOMEPAGE="https://pypi.org/project/pytest-xdist/ https://github.com/pytest-dev/pytest-xdist"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# pleaes do not depend on pytest to avoid unnecessary USEDEP enforcement
+RDEPEND="
+ dev-python/execnet[${PYTHON_USEDEP}]
+ dev-python/pytest-forked[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ dev-python/filelock[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-pytest4.patch
+)
+
+python_test() {
+ distutils_install_for_testing
+ pytest -vv testing || die "Tests failed under ${EPYTHON}"
+}
^ permalink raw reply related [flat|nested] 6+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/pytest-xdist/, dev-python/pytest-xdist/files/
@ 2020-09-18 15:43 Michał Górny
0 siblings, 0 replies; 6+ messages in thread
From: Michał Górny @ 2020-09-18 15:43 UTC (permalink / raw
To: gentoo-commits
commit: f1b7395b2d7f454c288de6688e68b763ce7eec1c
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 18 15:34:45 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Sep 18 15:35:13 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f1b7395b
dev-python/pytest-xdist: Remove old
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pytest-xdist/Manifest | 2 -
.../files/pytest-xdist-1.32.0-timeout.patch | 50 ----------------------
dev-python/pytest-xdist/pytest-xdist-1.33.0.ebuild | 43 -------------------
dev-python/pytest-xdist/pytest-xdist-2.0.0.ebuild | 38 ----------------
4 files changed, 133 deletions(-)
diff --git a/dev-python/pytest-xdist/Manifest b/dev-python/pytest-xdist/Manifest
index c21effa5d04..1a85694e4cd 100644
--- a/dev-python/pytest-xdist/Manifest
+++ b/dev-python/pytest-xdist/Manifest
@@ -1,4 +1,2 @@
-DIST pytest-xdist-1.33.0.tar.gz 65588 BLAKE2B 096ffa9295ec0ef4d390b714b02a4d126aa33475b55591b91375f2da0c957802e007b990dc2051d5198f223b250a4a7294367c9da8f8969313a61a7e8ef18ebd SHA512 5e5b23e60b546779d4bbcc9b86c004bdb084689ba006c8bb8a7db9be60b6080f04a5bb2b1f5b43a5062b82e35493331d1da699d8a36177307280b06aa23a1367
DIST pytest-xdist-1.34.0.tar.gz 66151 BLAKE2B ac5274e32b3ef6b72113efd4300eb6946a977e0e202d3383abcdbc022126b7806edb326ddc16abb1219e22eb091e06a9c39fce3031aaf5943d4ad653a47af142 SHA512 69e9877ee0268d71d7c0ca202ccc46b3ba1a9271f0e6e4ac4b76602833f9b7012364eb6924ae994e76c1d48d63adf1702d4c5e6ed5b75c52ac7ebae958210e24
-DIST pytest-xdist-2.0.0.tar.gz 65663 BLAKE2B 01f4154ae77c0ca67bef9cc0c36f9e3aea03ea554ba45ababb53647720795eae85e6c884eee6cd14037d566dc7bc46f49496aaaecfaaa31322b045339e6c01e8 SHA512 ad1e22ec6963e16f3f1408f0ed39c2945da8f8d2b332b29c36151bc1245e1b9ab532315d8315c22f93f249a64ab508fd78bccd5390be7315d962dd2382f63e0d
DIST pytest-xdist-2.1.0.tar.gz 66332 BLAKE2B ac3c19a32bb9153537edfcf55bc656011661cf0d166da1aba969055a398616bb5782534a12ba354175be722c070fcfb2013d58405048814a3d11434a314e38b8 SHA512 85c69d8e649a19de5639738eae4cb213dc7323d96883ec82f39ab51a196346edd9fadbaf97f9763ac0dea104bc123d521264a39d2701878edfa76ce7e5bb347b
diff --git a/dev-python/pytest-xdist/files/pytest-xdist-1.32.0-timeout.patch b/dev-python/pytest-xdist/files/pytest-xdist-1.32.0-timeout.patch
deleted file mode 100644
index 52fdc681dfb..00000000000
--- a/dev-python/pytest-xdist/files/pytest-xdist-1.32.0-timeout.patch
+++ /dev/null
@@ -1,50 +0,0 @@
-From 27519e8018ee199219ab223e0b31b76b4e950a2a Mon Sep 17 00:00:00 2001
-From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
-Date: Sun, 3 May 2020 11:23:33 +0200
-Subject: [PATCH] Increase pexpect timeouts to prevent tests from failing
-
----
- testing/acceptance_test.py | 2 +-
- testing/test_looponfail.py | 6 ++++--
- 2 files changed, 5 insertions(+), 3 deletions(-)
-
-diff --git a/testing/acceptance_test.py b/testing/acceptance_test.py
-index b6a4a94..a089baa 100644
---- a/testing/acceptance_test.py
-+++ b/testing/acceptance_test.py
-@@ -332,7 +332,7 @@ class TestDistribution:
- time.sleep(10)
- """
- )
-- child = testdir.spawn_pytest("-n1 -v")
-+ child = testdir.spawn_pytest("-n1 -v", expect_timeout=30.0)
- child.expect(".*test_sleep.*")
- child.kill(2) # keyboard interrupt
- child.expect(".*KeyboardInterrupt.*")
-diff --git a/testing/test_looponfail.py b/testing/test_looponfail.py
-index 94fccd7..a6ebebe 100644
---- a/testing/test_looponfail.py
-+++ b/testing/test_looponfail.py
-@@ -284,7 +284,8 @@ class TestFunctional:
- )
- # p = testdir.mkdir("sub").join(p1.basename)
- # p1.move(p)
-- child = testdir.spawn_pytest("-f %s --traceconfig" % p)
-+ child = testdir.spawn_pytest("-f %s --traceconfig" % p,
-+ expect_timeout=30.0)
- child.expect("def test_one")
- child.expect("x == 1")
- child.expect("1 failed")
-@@ -311,7 +312,8 @@ class TestFunctional:
- pass
- """
- )
-- child = testdir.spawn_pytest("-f %s" % p)
-+ child = testdir.spawn_pytest("-f %s" % p,
-+ expect_timeout=30.0)
- child.expect("1 xpass")
- # child.expect("### LOOPONFAILING ####")
- child.expect("waiting for changes")
---
-2.26.2
-
diff --git a/dev-python/pytest-xdist/pytest-xdist-1.33.0.ebuild b/dev-python/pytest-xdist/pytest-xdist-1.33.0.ebuild
deleted file mode 100644
index 0a7311caa0e..00000000000
--- a/dev-python/pytest-xdist/pytest-xdist-1.33.0.ebuild
+++ /dev/null
@@ -1,43 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-DISTUTILS_USE_SETUPTOOLS=rdepend
-PYTHON_COMPAT=( python2_7 python3_{6,7,8,9} pypy3 )
-
-inherit distutils-r1
-
-DESCRIPTION="Distributed testing and loop-on-failing modes"
-HOMEPAGE="https://pypi.org/project/pytest-xdist/ https://github.com/pytest-dev/pytest-xdist"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-SLOT="0"
-LICENSE="MIT"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ppc ppc64 ~s390 sparc x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-# pleaes do not depend on pytest to avoid unnecessary USEDEP enforcement
-RDEPEND="
- dev-python/execnet[${PYTHON_USEDEP}]
- dev-python/pytest-forked[${PYTHON_USEDEP}]
- dev-python/six[${PYTHON_USEDEP}]
-"
-
-BDEPEND="
- dev-python/setuptools_scm[${PYTHON_USEDEP}]
- test? (
- ${RDEPEND}
- dev-python/filelock[${PYTHON_USEDEP}]
- )
-"
-
-PATCHES=(
- "${FILESDIR}"/pytest-xdist-1.32.0-timeout.patch
-)
-
-python_test() {
- distutils_install_for_testing
- pytest -vv testing || die "Tests failed under ${EPYTHON}"
-}
diff --git a/dev-python/pytest-xdist/pytest-xdist-2.0.0.ebuild b/dev-python/pytest-xdist/pytest-xdist-2.0.0.ebuild
deleted file mode 100644
index 45416420155..00000000000
--- a/dev-python/pytest-xdist/pytest-xdist-2.0.0.ebuild
+++ /dev/null
@@ -1,38 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-DISTUTILS_USE_SETUPTOOLS=rdepend
-PYTHON_COMPAT=( python3_{6,7,8,9} pypy3 )
-
-inherit distutils-r1
-
-DESCRIPTION="Distributed testing and loop-on-failing modes"
-HOMEPAGE="https://pypi.org/project/pytest-xdist/ https://github.com/pytest-dev/pytest-xdist"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-SLOT="0"
-LICENSE="MIT"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86"
-
-# please do not depend on pytest to avoid unnecessary USEDEP enforcement
-RDEPEND="
- dev-python/execnet[${PYTHON_USEDEP}]
- dev-python/psutil[${PYTHON_USEDEP}]
- dev-python/pytest-forked[${PYTHON_USEDEP}]
-"
-
-BDEPEND="
- dev-python/setuptools_scm[${PYTHON_USEDEP}]
- test? (
- dev-python/filelock[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-python_test() {
- distutils_install_for_testing
- pytest -vv testing || die "Tests failed under ${EPYTHON}"
-}
^ permalink raw reply related [flat|nested] 6+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/pytest-xdist/, dev-python/pytest-xdist/files/
@ 2020-12-15 11:05 Michał Górny
0 siblings, 0 replies; 6+ messages in thread
From: Michał Górny @ 2020-12-15 11:05 UTC (permalink / raw
To: gentoo-commits
commit: 40d346e878a71971c84c7ee0cc1024f05e2823ac
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 15 10:56:24 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Dec 15 11:05:41 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=40d346e8
dev-python/pytest-xdist: Fix test failure w/ pytest-services
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
.../pytest-xdist-2.2.0-services-conflict.patch | 31 ++++++++++++++++++++++
dev-python/pytest-xdist/pytest-xdist-2.2.0.ebuild | 4 +++
2 files changed, 35 insertions(+)
diff --git a/dev-python/pytest-xdist/files/pytest-xdist-2.2.0-services-conflict.patch b/dev-python/pytest-xdist/files/pytest-xdist-2.2.0-services-conflict.patch
new file mode 100644
index 00000000000..2c911601b07
--- /dev/null
+++ b/dev-python/pytest-xdist/files/pytest-xdist-2.2.0-services-conflict.patch
@@ -0,0 +1,31 @@
+From 082beb2ce0fe1f338311d85e656b962df8a16ce1 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
+Date: Tue, 15 Dec 2020 11:38:53 +0100
+Subject: [PATCH] Disable pytest-services plugin in test to avoid worker_id
+ conflict
+
+Pass "-p no:pytest-services" in test_worker_id_fixture() to ensure
+that the presence (and implicit loading) of pytest-services will not
+cause the test to fail via overriding worker name.
+
+Fixes #611
+---
+ testing/acceptance_test.py | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/testing/acceptance_test.py b/testing/acceptance_test.py
+index c273bfa..3bea8fc 100644
+--- a/testing/acceptance_test.py
++++ b/testing/acceptance_test.py
+@@ -1025,7 +1025,7 @@ def test_worker_id_fixture(testdir, n):
+ f.write(worker_id)
+ """
+ )
+- result = testdir.runpytest(f, "-n%d" % n)
++ result = testdir.runpytest(f, "-n%d" % n, "-p", "no:pytest-services")
+ result.stdout.fnmatch_lines("* 2 passed in *")
+ worker_ids = set()
+ for fname in glob.glob(str(testdir.tmpdir.join("*.txt"))):
+--
+2.29.2
+
diff --git a/dev-python/pytest-xdist/pytest-xdist-2.2.0.ebuild b/dev-python/pytest-xdist/pytest-xdist-2.2.0.ebuild
index 6bd046986b6..7cb664b2df3 100644
--- a/dev-python/pytest-xdist/pytest-xdist-2.2.0.ebuild
+++ b/dev-python/pytest-xdist/pytest-xdist-2.2.0.ebuild
@@ -29,4 +29,8 @@ BDEPEND="
)
"
+PATCHES=(
+ "${FILESDIR}"/${P}-services-conflict.patch
+)
+
distutils_enable_tests --install pytest
^ permalink raw reply related [flat|nested] 6+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/pytest-xdist/, dev-python/pytest-xdist/files/
@ 2021-03-14 22:39 Michał Górny
0 siblings, 0 replies; 6+ messages in thread
From: Michał Górny @ 2021-03-14 22:39 UTC (permalink / raw
To: gentoo-commits
commit: c39ce973234d98d25be1ac58cf4bf93bd9671e7b
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 14 22:36:34 2021 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Mar 14 22:36:34 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c39ce973
dev-python/pytest-xdist: Remove old
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pytest-xdist/Manifest | 2 -
.../files/pytest-xdist-1.34.0-pytest4.patch | 50 ----------------------
.../pytest-xdist/pytest-xdist-1.34.0-r1.ebuild | 43 -------------------
.../pytest-xdist/pytest-xdist-2.2.0-r1.ebuild | 37 ----------------
4 files changed, 132 deletions(-)
diff --git a/dev-python/pytest-xdist/Manifest b/dev-python/pytest-xdist/Manifest
index aed96c0d4de..4008b8ef377 100644
--- a/dev-python/pytest-xdist/Manifest
+++ b/dev-python/pytest-xdist/Manifest
@@ -1,3 +1 @@
-DIST pytest-xdist-1.34.0.tar.gz 66151 BLAKE2B ac5274e32b3ef6b72113efd4300eb6946a977e0e202d3383abcdbc022126b7806edb326ddc16abb1219e22eb091e06a9c39fce3031aaf5943d4ad653a47af142 SHA512 69e9877ee0268d71d7c0ca202ccc46b3ba1a9271f0e6e4ac4b76602833f9b7012364eb6924ae994e76c1d48d63adf1702d4c5e6ed5b75c52ac7ebae958210e24
-DIST pytest-xdist-2.2.0.tar.gz 64781 BLAKE2B 17287c28f31c42c6a8fe3622d4ba920a530e0ced3bc99cffd8f9de91c3498cc2a3b654cc32bd5b09ee8ec6c1f64226aec736acafd73397be2eb34bd3d192bb46 SHA512 2027f8512fbd6cb68ab36eb774b9d8b7e855c181733b884f394d0e84994926b4fe6158dbd55808328b262497036f101e71cb86553340eba0031d654f34541689
DIST pytest-xdist-2.2.1.tar.gz 64956 BLAKE2B 7ea18b0e7893000ed9d8718506a7b0f7cf45444196a23e3defec34639c2159b52c7a533ddbc0e0a9b3c3f1e0a867ad5c85e3549167e9b7049ce718646ed50717 SHA512 0732f5ffb56eead3d1aeecd37381c2d9c6ed22398e8e51e9358b562765d737ebde48ecb6fe9f90d9a46902dba1422721cb2c7bfc9fc13918aa2c3b8e6a5e48c4
diff --git a/dev-python/pytest-xdist/files/pytest-xdist-1.34.0-pytest4.patch b/dev-python/pytest-xdist/files/pytest-xdist-1.34.0-pytest4.patch
deleted file mode 100644
index 8595480c01f..00000000000
--- a/dev-python/pytest-xdist/files/pytest-xdist-1.34.0-pytest4.patch
+++ /dev/null
@@ -1,50 +0,0 @@
-From bd4e91d12bf6e20538d9b3acfe69536b3badcde5 Mon Sep 17 00:00:00 2001
-From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
-Date: Fri, 31 Jul 2020 20:13:24 +0200
-Subject: [PATCH 1/3] Fix test_config_initialization condition for pytest<5
-
-Fix test_config_initialization to be correctly skipped on pytest<5,
-by explicitly checking pytest version (idea copied from
-test_looponfail_removed_test). The current conditions are insufficient
--- the outer check wrongly assumes pytest>=5 will always be used
-on Python 3 (which is not true if you need the same version to support
-both Python 2 and Python 3), and the inner condition apparently
-wrongly assuming that invocation_params attribute is not present
-in pytest-4.
----
- testing/acceptance_test.py | 9 +++------
- 1 file changed, 3 insertions(+), 6 deletions(-)
-
-diff --git a/testing/acceptance_test.py b/testing/acceptance_test.py
-index 7f9a551..29c5d9a 100644
---- a/testing/acceptance_test.py
-+++ b/testing/acceptance_test.py
-@@ -2,6 +2,7 @@ import os
- import re
- import sys
- import textwrap
-+from pkg_resources import parse_version
-
- import py
- import pytest
-@@ -594,15 +595,11 @@ def test_fixture_teardown_failure(testdir):
-
-
- @pytest.mark.skipif(
-- sys.version_info[:2] == (2, 7),
-- reason="Only available in pytest 5.0+ (Python 3 only)",
-+ parse_version(pytest.__version__) < parse_version("5"),
-+ reason="Only available in pytest 5.0+",
- )
- def test_config_initialization(testdir, monkeypatch, pytestconfig):
- """Ensure workers and master are initialized consistently. Integration test for #445"""
-- if not hasattr(pytestconfig, "invocation_params"):
-- pytest.skip(
-- "requires pytest >=5.1 (config has no attribute 'invocation_params')"
-- )
- testdir.makepyfile(
- **{
- "dir_a/test_foo.py": """
---
-2.28.0
-
diff --git a/dev-python/pytest-xdist/pytest-xdist-1.34.0-r1.ebuild b/dev-python/pytest-xdist/pytest-xdist-1.34.0-r1.ebuild
deleted file mode 100644
index 5969b49e86c..00000000000
--- a/dev-python/pytest-xdist/pytest-xdist-1.34.0-r1.ebuild
+++ /dev/null
@@ -1,43 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7,8,9} pypy3 )
-
-inherit distutils-r1
-
-DESCRIPTION="Distributed testing and loop-on-failing modes"
-HOMEPAGE="https://pypi.org/project/pytest-xdist/ https://github.com/pytest-dev/pytest-xdist"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-SLOT="0"
-LICENSE="MIT"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ppc ppc64 ~s390 sparc x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-# pleaes do not depend on pytest to avoid unnecessary USEDEP enforcement
-RDEPEND="
- dev-python/execnet[${PYTHON_USEDEP}]
- dev-python/pytest-forked[${PYTHON_USEDEP}]
- dev-python/six[${PYTHON_USEDEP}]
-"
-
-BDEPEND="
- dev-python/setuptools_scm[${PYTHON_USEDEP}]
- test? (
- ${RDEPEND}
- dev-python/filelock[${PYTHON_USEDEP}]
- dev-python/pytest[${PYTHON_USEDEP}]
- )
-"
-
-PATCHES=(
- "${FILESDIR}"/${P}-pytest4.patch
-)
-
-python_test() {
- distutils_install_for_testing
- pytest -vv testing || die "Tests failed under ${EPYTHON}"
-}
diff --git a/dev-python/pytest-xdist/pytest-xdist-2.2.0-r1.ebuild b/dev-python/pytest-xdist/pytest-xdist-2.2.0-r1.ebuild
deleted file mode 100644
index 324d6470fb7..00000000000
--- a/dev-python/pytest-xdist/pytest-xdist-2.2.0-r1.ebuild
+++ /dev/null
@@ -1,37 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7,8,9} pypy3 )
-
-inherit distutils-r1
-
-DESCRIPTION="Distributed testing and loop-on-failing modes"
-HOMEPAGE="https://pypi.org/project/pytest-xdist/ https://github.com/pytest-dev/pytest-xdist"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-SLOT="0"
-LICENSE="MIT"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ppc ppc64 ~riscv ~s390 sparc x86 ~x64-macos"
-
-# pytest-xdist >= 2 fails with pytest < 6
-RDEPEND="
- dev-python/execnet[${PYTHON_USEDEP}]
- dev-python/psutil[${PYTHON_USEDEP}]
- >=dev-python/pytest-6[${PYTHON_USEDEP}]
- dev-python/pytest-forked[${PYTHON_USEDEP}]
-"
-
-BDEPEND="
- dev-python/setuptools_scm[${PYTHON_USEDEP}]
- test? (
- dev-python/filelock[${PYTHON_USEDEP}]
- )
-"
-
-PATCHES=(
- "${FILESDIR}"/${P}-services-conflict.patch
-)
-
-distutils_enable_tests --install pytest
^ permalink raw reply related [flat|nested] 6+ messages in thread
end of thread, other threads:[~2021-03-14 22:39 UTC | newest]
Thread overview: 6+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-09-18 15:43 [gentoo-commits] repo/gentoo:master commit in: dev-python/pytest-xdist/, dev-python/pytest-xdist/files/ Michał Górny
-- strict thread matches above, loose matches on Subject: below --
2021-03-14 22:39 Michał Górny
2020-12-15 11:05 Michał Górny
2020-07-31 20:11 Michał Górny
2020-05-03 10:24 Michał Górny
2019-06-02 13:31 Virgil Dupras
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox